#ifndef IR_H
#define IR_H

#define CAPTURE

#ifdef USE_IR
#ifdef CAPTURE
#define MASK_IR_INT()	TIMSK1 = 0;
#define UNMASK_IR_INT()	TIMSK1 = _BV(ICIE1) | _BV(TOIE1);
#else
#define MASK_IR_INT()	{ TIMSK1 = 0;			EIMSK &=~_BV(INT1);}
#define UNMASK_IR_INT()	{ TIMSK1 = _BV(TOIE1);  EIMSK |= _BV(INT1);} 
#endif
#else
#define MASK_IR_INT()	;
#define UNMASK_IR_INT()	;
#endif

void init_IR();
void get_IR();

#endif
